Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 14862)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 14863)
@@ -101,43 +101,43 @@
         'clearance': 'Acceptance',
         'schoolfee': 'School Fee',
-        'carryover1': 'One Carry-Over',
-        'carryover2': 'Two Carry-Overs',
-        'carryover3': 'Three Carry-Overs',
-        'carryover4': 'Four Carry-Overs',
-        'hostel_maintenance': 'Hostel Maintenance',
-        'certificate': 'ND Certificate',
-        'hnd_certificate': 'HND Certificate',
-        'pgd_certificate': 'PGD Certificate',
-        'state_result': 'ND Statement of Result',
-        'hnd_state_result': 'HND Statement of Result',
-        'pgd_state_result': 'PGD Statement of Result',
-        'transcript_local': 'ND Transcript (local)',
-        'hnd_transcript_local': 'HND Transcript (local)',
-        'pgd_transcript_local': 'PGD Transcript (local)',
-        'transcript_foreign': 'ND Transcript (foreign)',
-        'hnd_transcript_foreign': 'HND Transcript (foreign)',
-        'pgd_transcript_foreign': 'PGD Transcript (foreign)',
-        'ver_result': 'Verification of Result',
-        'change_course': 'Change of Course',
-        'change_inst': 'Change of Institute',
-        'jamb_reject': 'JAMB Rejection Form',
-        'cert_of_cert': 'Certification of Certificate',
-        'ref_let': 'Recommendation/Reference Letter',
-        'proc_cert': 'Processing of Certificate by Proxy',
-        'loss_idcard': 'Loss of ID Card (student)',
-        'staff_loss_idcard': 'Loss of ID Card (staff)',
-        'loss_examcard': 'Loss of Exam Card',
-        'loss_result': 'Loss of Result',
-        'loss_receipt': 'Loss of Receipt',
-        'loss_clearance': 'Loss of Clearance',
-        'conv_brochure': 'ND Convocation Brochure',
-        'hnd_conv_brochure': 'HND Convocation Brochure',
-        'pgd_conv_brochure': 'PGD Convocation Brochure',
-        'log_book': 'Log Book',
-        'jamb_regularization': 'Jamb Regularization',
-        'utme_registration': 'UTME Registration',
-        'utme_cbt': 'UTME CBT',
-        'nysc_id_card': 'NYSC ID Card',
-        'ijmb_result':'IJMB Result',
+        #'carryover1': 'One Carry-Over',
+        #'carryover2': 'Two Carry-Overs',
+        #'carryover3': 'Three Carry-Overs',
+        #'carryover4': 'Four Carry-Overs',
+        #'hostel_maintenance': 'Hostel Maintenance',
+        #'certificate': 'ND Certificate',
+        #'hnd_certificate': 'HND Certificate',
+        #'pgd_certificate': 'PGD Certificate',
+        #'state_result': 'ND Statement of Result',
+        #'hnd_state_result': 'HND Statement of Result',
+        #'pgd_state_result': 'PGD Statement of Result',
+        #'transcript_local': 'ND Transcript (local)',
+        #'hnd_transcript_local': 'HND Transcript (local)',
+        #'pgd_transcript_local': 'PGD Transcript (local)',
+        #'transcript_foreign': 'ND Transcript (foreign)',
+        #'hnd_transcript_foreign': 'HND Transcript (foreign)',
+        #'pgd_transcript_foreign': 'PGD Transcript (foreign)',
+        #'ver_result': 'Verification of Result',
+        #'change_course': 'Change of Course',
+        #'change_inst': 'Change of Institute',
+        #'jamb_reject': 'JAMB Rejection Form',
+        #'cert_of_cert': 'Certification of Certificate',
+        #'ref_let': 'Recommendation/Reference Letter',
+        #'proc_cert': 'Processing of Certificate by Proxy',
+        #'loss_idcard': 'Loss of ID Card (student)',
+        #'staff_loss_idcard': 'Loss of ID Card (staff)',
+        #'loss_examcard': 'Loss of Exam Card',
+        #'loss_result': 'Loss of Result',
+        #'loss_receipt': 'Loss of Receipt',
+        #'loss_clearance': 'Loss of Clearance',
+        #'conv_brochure': 'ND Convocation Brochure',
+        #'hnd_conv_brochure': 'HND Convocation Brochure',
+        #'pgd_conv_brochure': 'PGD Convocation Brochure',
+        #'log_book': 'Log Book',
+        #'jamb_regularization': 'Jamb Regularization',
+        #'utme_registration': 'UTME Registration',
+        #'utme_cbt': 'UTME CBT',
+        #'nysc_id_card': 'NYSC ID Card',
+        #'ijmb_result':'IJMB Result',
         }
 