Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/applicant.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/applicant.py	(revision 14864)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/applicant.py	(revision 14865)
@@ -23,10 +23,11 @@
 from kofacustom.nigeria.applicants.applicant import NigeriaApplicant
 from kofacustom.dspg.applicants.interfaces import(
-    ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit, IPUTMEApplicantEdit)
+    ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit,
+    IPUTMEApplicantEdit, ICustomSpecialApplicant)
 
 class CustomApplicant(NigeriaApplicant):
 
     grok.implements(ICustomApplicant, ICustomUGApplicantEdit,
-        ICustomPGApplicantEdit, IPUTMEApplicantEdit)
+        ICustomPGApplicantEdit, IPUTMEApplicantEdit, ICustomSpecialApplicant)
     grok.provides(ICustomApplicant)
 
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/browser.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/browser.py	(revision 14864)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/browser.py	(revision 14865)
@@ -26,5 +26,5 @@
 from waeup.kofa.interfaces import IExtFileStore, IKofaUtils
 from waeup.kofa.applicants.interfaces import (
-    IApplicant, IApplicantEdit, ISpecialApplicant)
+    IApplicant, IApplicantEdit)
 from waeup.kofa.applicants.browser import (ApplicantDisplayFormPage,
     ApplicantManageFormPage, ApplicantEditFormPage,
@@ -42,4 +42,5 @@
 from kofacustom.dspg.applicants.interfaces import (
     ICustomUGApplicant, ICustomUGApplicantEdit,
+    ICustomSpecialApplicant,
     ND_OMIT_DISPLAY_FIELDS,
     ND_OMIT_PDF_FIELDS,
@@ -80,5 +81,5 @@
     def form_fields(self):
         if self.context.special:
-            return grok.AutoFields(ISpecialApplicant)
+            return grok.AutoFields(ICustomSpecialApplicant)
         form_fields = grok.AutoFields(ICustomUGApplicant)
         if self.context.is_nd:
@@ -162,5 +163,5 @@
     def form_fields(self):
         if self.context.special:
-            form_fields = grok.AutoFields(ISpecialApplicant)
+            form_fields = grok.AutoFields(ICustomSpecialApplicant)
             form_fields['applicant_id'].for_display = True
             return form_fields
@@ -176,4 +177,10 @@
         return form_fields
 
+    def setUpWidgets(self, ignore_request=False):
+        super(CustomApplicantManageFormPage,self).setUpWidgets(ignore_request)
+        if self.context.special:
+            self.widgets['carryover_courses'].height = 3
+        return
+
 class CustomApplicantEditFormPage(ApplicantEditFormPage):
     """An applicant-centered edit view for applicant data.
@@ -186,5 +193,5 @@
     def form_fields(self):
         if self.context.special:
-            form_fields = grok.AutoFields(ISpecialApplicant).omit(
+            form_fields = grok.AutoFields(ICustomSpecialApplicant).omit(
                 'locked', 'suspended')
             form_fields['applicant_id'].for_display = True
@@ -203,4 +210,10 @@
         form_fields['reg_number'].for_display = True
         return form_fields
+
+    def setUpWidgets(self, ignore_request=False):
+        super(CustomApplicantEditFormPage,self).setUpWidgets(ignore_request)
+        if self.context.special:
+            self.widgets['carryover_courses'].height = 3
+        return
 
     @property
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/interfaces.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/interfaces.py	(revision 14864)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/applicants/interfaces.py	(revision 14865)
@@ -28,5 +28,6 @@
 from waeup.kofa.schema import FormattedDate, TextLineChoice, PhoneNumber
 from waeup.kofa.students.vocabularies import nats_vocab, GenderSource
-from waeup.kofa.applicants.interfaces import contextual_reg_num_source
+from waeup.kofa.applicants.interfaces import (
+    contextual_reg_num_source, ISpecialApplicant)
 from kofacustom.nigeria.applicants.interfaces import (
     LGASource, high_qual, high_grade, exam_types,
@@ -281,5 +282,15 @@
     """
 
-class ICustomApplicant(ICustomUGApplicant, ICustomPGApplicant):
+class ICustomSpecialApplicant(ISpecialApplicant):
+
+    carryover_courses = schema.Text(
+        title = _(u'Carry-Over Courses'),
+        required = False,
+        description = _(
+            u'Enter course titles if carry-over remedial payment.'),
+        )
+
+class ICustomApplicant(ICustomUGApplicant, ICustomPGApplicant,
+                       ICustomSpecialApplicant):
     """An interface for both types of applicants.
 
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 14864)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 14865)
@@ -9,6 +9,10 @@
 "Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Language: en\n"
+"X-Generator: Poedit 1.6.5\n"
 
 msgid "Academics"
 msgstr "Institutions"
 
+msgid "Special Application"
+msgstr "Remedial Payment"
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 14864)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 14865)
@@ -159,17 +159,17 @@
         'hnd_transcript_foreign': 'HND Transcript (foreign)',
         'pgd_transcript_foreign': 'PGD Transcript (foreign)',
-        'ver_result': 'Verification of Result Payment',
-        'change_course': 'Change of Course Payment',
-        'change_inst': 'Change of Institute Payment',
-        'jamb_reject': 'JAMB Rejection Form Payment',
-        'cert_of_cert': 'Certification of Certificate Payment',
-        'ref_let': 'Recommendation/Reference Letter Payment',
-        'proc_cert': 'Processing of Certificate by Proxy Payment',
+        'ver_result': 'Verification of Result',
+        'change_course': 'Change of Course',
+        'change_inst': 'Change of Institute',
+        'jamb_reject': 'JAMB Rejection Form',
+        'cert_of_cert': 'Certification of Certificate',
+        'ref_let': 'Recommendation/Reference Letter',
+        'proc_cert': 'Processing of Certificate by Proxy',
         'loss_idcard': 'Loss of ID Card (student)',
         'staff_loss_idcard': 'Loss of ID Card (staff)',
-        'loss_examcard': 'Loss of Exam Card Payment',
-        'loss_result': 'Loss of Result Payment',
-        'loss_receipt': 'Loss of Receipt Payment',
-        'loss_clearance': 'Loss of Clearance Payment',
+        'loss_examcard': 'Loss of Exam Card',
+        'loss_result': 'Loss of Result',
+        'loss_receipt': 'Loss of Receipt',
+        'loss_clearance': 'Loss of Clearance',
         'conv_brochure': 'ND Convocation Brochure',
         'hnd_conv_brochure': 'HND Convocation Brochure',
@@ -181,11 +181,11 @@
         'nysc_id_card': 'NYSC ID Card',
         'ijmb_result':'IJMB Result',
-        'carryover1': '1, 2 or 3 Carry-Over Courses',
-        'carryover4': '4 Carry-Over Courses',
-        'carryover5': '5 Carry-Over Courses',
-        'carryover6': '6 Carry-Over Courses',
-        'carryover7': '7 Carry-Over Courses',
-        'carryover8': '8 Carry-Over Courses',
-        'carryover9': '9 Carry-Over Courses',
+        'carryover1': '01, 02 or 03 Carry-Over Courses',
+        'carryover4': '04 Carry-Over Courses',
+        'carryover5': '05 Carry-Over Courses',
+        'carryover6': '06 Carry-Over Courses',
+        'carryover7': '07 Carry-Over Courses',
+        'carryover8': '08 Carry-Over Courses',
+        'carryover9': '09 Carry-Over Courses',
         'carryover10': '10 Carry-Over Courses',
         }