Index: /main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 14892)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 14893)
@@ -83,6 +83,6 @@
     form_fields = grok.AutoFields(ICertificate).omit(
         'ratio',
-        'custom_textline_2',
-        'custom_float_1', 'custom_float_2')
+        'custom_textline_1', 'custom_textline_2',
+        'custom_float_2')
 
 class CustomCertificateManageFormPage(CertificateManageFormPage):
@@ -91,4 +91,4 @@
     form_fields = grok.AutoFields(ICertificate).omit(
         'ratio',
-        'custom_textline_2',
-        'custom_float_1', 'custom_float_2')
+        'custom_textline_1', 'custom_textline_2',
+        'custom_float_2')
Index: /main/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 14892)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 14893)
@@ -45,4 +45,4 @@
 "really want to submit?"
 
-msgid "Custom Textline 1 (not used)"
-msgstr "Science / Non-Science"
+msgid "Custom Float 1 (not used)"
+msgstr "Old Returning Discount"
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 14892)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 14893)
@@ -555,5 +555,4 @@
         #self.student['payments']['anykey'] = payment
 
-
         error, payment = utils.setPaymentDetails('schoolfee',
             self.student, None, None)
@@ -564,19 +563,13 @@
         self.assertEqual(error, None)
 
-        # Old returning students pay less
+        # Old returning students may pay less.
         self.certificate.school_fee_2 = 50000.0
-        self.certificate.custom_textline_1 = 'sciEnce'
+        self.certificate.custom_float_1 = 30000.0
         error, payment = utils.setPaymentDetails(
             'schoolfee', self.student, None, None)
-        # minus 30000
         self.assertEqual(payment.amount_auth, 20088.0)
-        self.certificate.custom_textline_1 = 'non-Science'
-        error, payment = utils.setPaymentDetails(
-            'schoolfee', self.student, None, None)
-        # minus 28000
-        self.assertEqual(payment.amount_auth, 22088.0)
 
         # Staff members pay less.
-        self.certificate.custom_textline_1 = ''
+        self.certificate.custom_float_1 = None
         self.student.is_staff = True
         error, payment = utils.setPaymentDetails('schoolfee',
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14892)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14893)
@@ -351,12 +351,8 @@
                     else:
                         amount = getattr(certificate, 'school_fee_2', 0.0)
-                        # Old returning students get a discount of
-                        # N30000 and N28000 respectively.
+                        # Old returning students might get a discount.
                         if student.entry_session < 2017 \
-                            and certificate.custom_textline_1:
-                            if certificate.custom_textline_1.lower() == 'science':
-                                amount -= 30000
-                            elif certificate.custom_textline_1.lower() == 'non-science':
-                                amount -= 28000
+                            and certificate.custom_float_1:
+                            amount -= certificate.custom_float_1
             # Give 50% school fee discount to staff members.
             if student.is_staff: