Index: /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 14901)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 14902)
@@ -93,5 +93,5 @@
             elif student.current_mode[-3:] in ('_pt', '_sw'):
                 self.pay_item_id = '5701'
-            elif student.faccode == 'JUPEB':
+            elif student.is_jupeb:
                 self.pay_item_id = '5718'
                 #xmldict['institution_acct'] =  '0025186411'
@@ -99,5 +99,5 @@
         elif self.context.p_category == 'clearance':
             self.pay_item_id = '5702'
-            if student.faccode == 'JUPEB':
+            if student.is_jupeb:
                 self.pay_item_id = '5722'
             provider_amt = self.dynamic_provider_amt(student)
Index: /main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py	(revision 14901)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py	(revision 14902)
@@ -81,5 +81,5 @@
             if student.current_mode == 'ug_pt':
                 return '2067091679'
-            if student.faccode == 'JUPEB':
+            if student.is_jupeb:
                 return '1946888188'
         if self.context.p_category == 'bed_allocation':
@@ -94,5 +94,5 @@
             if student.current_mode.startswith('dp_'):
                 return '2067080314'
-            if student.faccode == 'JUPEB':
+            if student.is_jupeb:
                 return '1947201668'
             if student.is_postgrad:
@@ -131,5 +131,5 @@
             provider_amt = self.dynamic_provider_amt(self.context.student)
         inst_amt = self.context.amount_auth - provider_amt
-        if self.context.student.faccode == 'JUPEB' \
+        if self.context.student.is_jupeb \
             or self.context.student.current_mode == 'dp_ft':
             inst_acct = "0040217361038"
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 14901)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 14902)
@@ -135,5 +135,5 @@
                        'phone', 'adm_code', 'email', 'date_of_birth',
                        'flash_notice')
-        if self.context.faccode == 'JUPEB':
+        if self.context.is_jupeb:
             omit_fields += ('faculty', 'department')
         return omit_fields
@@ -143,5 +143,5 @@
         portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         line0 = ''
-        if self.context.faccode == 'JUPEB':
+        if self.context.is_jupeb:
             line0 = 'Joint Universities Preliminary Examinations Board (JUPEB)\n'
         line1 = translate(_('Clearance Slip of'),
@@ -307,5 +307,5 @@
 
     def update(self):
-        if not self.context.flash_notice or self.context.faccode != 'JUPEB' \
+        if not self.context.flash_notice or not self.context.is_jupeb \
             or not 'results' in self.context.flash_notice.lower():
             self.flash(_('Forbidden'), type="warning")
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/student.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/student.py	(revision 14901)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/student.py	(revision 14902)
@@ -41,5 +41,11 @@
     def transcript_enabled(self):
         user = get_current_principal()
-        if user.id in ('admin', 'isouaba', 'med', 'delejason', 'zope.mgr'):
+        if user.id in ('admin', 'isouaba', 'med', 'zope.mgr'):
+            return True
+        return False
+
+    @property
+    def is_jupeb(self):
+        if self.faccode.startswith('JUPEB'):
             return True
         return False
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 14901)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 14902)
@@ -224,7 +224,7 @@
         cert = createObject('waeup.Certificate')
         cert.code = u'xyz'
-        self.app['faculties']['JUPEB'] = Faculty(code=u'JUPEB')
-        self.app['faculties']['JUPEB']['dep1'] = Department(code=u'dep1')
-        self.app['faculties']['JUPEB']['dep1'].certificates.addCertificate(cert)
+        self.app['faculties']['JUPEB123'] = Faculty(code=u'JUPEB123')
+        self.app['faculties']['JUPEB123']['dep1'] = Department(code=u'dep1')
+        self.app['faculties']['JUPEB123']['dep1'].certificates.addCertificate(cert)
         self.student['studycourse'].certificate = cert
         self.browser.open(self.student_path)
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14901)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14902)
@@ -263,5 +263,5 @@
             if p_item is None:
                 return _('Study course data are incomplete.'), None
-            if student.faccode == 'JUPEB':
+            if student.is_jupeb:
                 amount = 50000.0
             elif student.faccode.startswith('FCETA'):
@@ -279,11 +279,4 @@
             except (AttributeError, TypeError):
                 return _('Study course data are incomplete.'), None
-
-            #####################################################
-            #if student.faccode == 'JUPEB':
-            #    return _('Payment temporarily disabled.'), None
-            #####################################################
-
-
             if previous_session:
                 # Students can pay for previous sessions in all workflow states.
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/viewlets.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/viewlets.py	(revision 14901)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/viewlets.py	(revision 14902)
@@ -122,5 +122,5 @@
     @property
     def target_url(self):
-        if self.context.flash_notice and self.context.faccode == 'JUPEB' \
+        if self.context.flash_notice and self.context.is_jupeb \
             and 'results' in self.context.flash_notice.lower():
             return self.view.url(self.view.context, self.target)