Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 14910)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 14920)
@@ -96,5 +96,5 @@
         xmldict = {}
         provider_amt = 4000.0
-        xmldict['institution_acct'] = '1010835352'
+        xmldict['institution_acct'] = '1010827641'
         xmldict['institution_bank_id'] = '117'
         xmldict['detail_ref'] = self.context.p_id
@@ -107,14 +107,14 @@
 
         if self.applicant.applicant_id.startswith('ijmbe'):
-            xmldict['institution_acct'] = '0772012897'
-            xmldict['institution_bank_id'] = '47'
+            xmldict['institution_acct'] = '1010827641'
+            xmldict['institution_bank_id'] = '117'
 
         if self.applicant.applicant_id.startswith('trans'):
-            xmldict['institution_acct'] = '2031473949'
-            xmldict['institution_bank_id'] = '8'
+            xmldict['institution_acct'] = '1010827641'
+            xmldict['institution_bank_id'] = '117'
 
         if self.applicant.applicant_id.startswith('cert'):
-            xmldict['institution_acct'] = '2031473949'
-            xmldict['institution_bank_id'] = '8'
+            xmldict['institution_acct'] = '1010827641'
+            xmldict['institution_bank_id'] = '117'
 
         if self.applicant.applicant_id.startswith('pg'):
@@ -248,12 +248,12 @@
                 student_welfare_assurance_amt = gateway_net_amt(
                     academic_session.welfare_fee)
-                xmldict['institution_bank_id'] = '7'
-                xmldict['institution_acct'] = '1014847058'
+                xmldict['institution_bank_id'] = '117'
+                xmldict['institution_acct'] = '1010827641'
                 xmldict['student_union_bank_id'] = '31'
                 xmldict['student_union_acct'] = '0051005007'
-                xmldict['aaue_share_bank_id'] = '51'
-                xmldict['aaue_share_acct'] = '5060020947'
-                xmldict['joint_venture_bank_id'] = '51'
-                xmldict['joint_venture_acct'] = '5060023759'
+                xmldict['aaue_share_bank_id'] = '117'
+                xmldict['aaue_share_acct'] = '1010827641'
+                xmldict['joint_venture_bank_id'] = '117'
+                xmldict['joint_venture_acct'] = '1010827641'
                 if student.current_mode == 'found':
                     self.pay_item_id = '103'
@@ -273,16 +273,16 @@
                 xmldict['student_union_bank_id'] = '7'
                 xmldict['student_union_acct'] = '1019763348'
-                xmldict['aaue_share_bank_id'] = '11'
-                xmldict['aaue_share_acct'] = '0030656377'
+                xmldict['aaue_share_bank_id'] = '117'
+                xmldict['aaue_share_acct'] = '1010827641'
                 xmldict['joint_venture_bank_id'] = '117'
-                xmldict['joint_venture_acct'] = '1014573025'
+                xmldict['joint_venture_acct'] = '1010827641'
                 self.pay_item_id = '107'
                 if student.is_postgrad:
-                    xmldict['institution_bank_id'] = '51'
-                    xmldict['institution_acct'] = '5210006575'
+                    xmldict['institution_bank_id'] = '117'
+                    xmldict['institution_acct'] = '1010827641'
                     self.pay_item_id = '111'
                 if student.current_mode == 'ijmbe':
-                    xmldict['institution_bank_id'] = '47'
-                    xmldict['institution_acct'] = '0772012897'
+                    xmldict['institution_bank_id'] = '117'
+                    xmldict['institution_acct'] = '1010827641'
                     self.pay_item_id = '119'
                     xmldict['joint_venture_bank_id'] = '117'
@@ -346,5 +346,5 @@
                 else:
                     self.pay_item_id = '104'
-                xmldict['institution_acct'] = '1014066976'
+                xmldict['institution_acct'] = '1010827641'
                 xmldict['institution_bank_id'] = '117'
             else:
@@ -354,10 +354,10 @@
                 xmldict['institution_bank_id'] = '117'
                 if student.is_postgrad:
-                    xmldict['institution_bank_id'] = '51'
-                    xmldict['institution_acct'] = '5210006575'
+                    xmldict['institution_bank_id'] = '117'
+                    xmldict['institution_acct'] = '1010827641'
                     self.pay_item_id = '110'
                 if student.current_mode == 'ijmbe':
-                    xmldict['institution_bank_id'] = '47'
-                    xmldict['institution_acct'] = '0772012897'
+                    xmldict['institution_bank_id'] = '117'
+                    xmldict['institution_acct'] = '1010827641'
                     self.pay_item_id = '120'
 
@@ -375,5 +375,5 @@
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
-<item_detail item_id="2" item_name="Matriculation Gown Fee" item_amt="%(gown_fee_amt)d" bank_id="51" acct_num="5060020947" />
+<item_detail item_id="2" item_name="Matriculation Gown Fee" item_amt="%(gown_fee_amt)d" bank_id="117" acct_num="1010827641" />
 <item_detail item_id="3" item_name="AAU File-Lapel Fee" item_amt="%(aaue_lf_fee_amt)d" bank_id="51" acct_num="4010660109" />
 </item_details>
@@ -451,6 +451,6 @@
         elif self.context.p_category == 'matric_gown':
             self.pay_item_id = '106'
-            xmldict['institution_acct'] = '5060023429'
-            xmldict['institution_bank_id'] = '51'
+            xmldict['institution_acct'] = '1010827641'
+            xmldict['institution_bank_id'] = '117'
             xmldict['institution_amt'] = 100 * (
                 gateway_net_amt(self.context.amount_auth))
@@ -464,5 +464,5 @@
         elif self.context.p_category == 'concessional':
             self.pay_item_id = '107'
-            xmldict['institution_acct'] = '1010835352'
+            xmldict['institution_acct'] = '1010827641'
             xmldict['institution_bank_id'] = '117'
             xmldict['institution_amt'] = 100 * (
@@ -479,6 +479,6 @@
             self.pay_item_id = '109'
             xmldict['provider_amt'] = 100 * provider_amt
-            xmldict['institution_acct'] = '1006406795'
-            xmldict['institution_bank_id'] = '123'
+            xmldict['institution_acct'] = '1010827641'
+            xmldict['institution_bank_id'] = '117'
             xmldict['institution_amt'] = 100 * (
                 gateway_net_amt(self.context.amount_auth) - provider_amt)
@@ -554,5 +554,5 @@
             else:
                 self.pay_item_id = '123'
-            xmldict['institution_acct'] = '1010835352'
+            xmldict['institution_acct'] = '1010827641'
             xmldict['institution_bank_id'] = '117'
             xmldict['institution_amt'] = 100 * (
Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 14910)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 14920)
@@ -81,5 +81,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="Application Fee" item_amt="575000" bank_id="117" acct_num="1010835352"'
+            'item_name="Application Fee" item_amt="575000" bank_id="117" acct_num="1010827641"'
             in self.browser.contents)
         self.assertTrue(
@@ -112,5 +112,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="Application Fee" item_amt="375000" bank_id="117" acct_num="1010835352"'
+            'item_name="Application Fee" item_amt="375000" bank_id="117" acct_num="1010827641"'
             in self.browser.contents)
         self.assertTrue(
@@ -146,5 +146,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="Application Fee" item_amt="575000" bank_id="117" acct_num="1010835352"'
+            'item_name="Application Fee" item_amt="575000" bank_id="117" acct_num="1010827641"'
             in self.browser.contents)
         self.assertFalse(
@@ -218,6 +218,6 @@
         self.assertTrue(
             'item_name="School Fee Plus" '
-            'item_amt="4600000" bank_id="7" '
-            'acct_num="1014847058"' in self.browser.contents)
+            'item_amt="4600000" bank_id="117" '
+            'acct_num="1010827641"' in self.browser.contents)
 
     def test_interswitch_form_regular_school_fees(self):
@@ -294,5 +294,5 @@
             'item_name="Acceptance Fee Plus" '
             'item_amt="4000000" bank_id="117" '
-            'acct_num="1014066976"' in self.browser.contents)
+            'acct_num="1010827641"' in self.browser.contents)
 
     def test_interswitch_form_regular_acceptance_fees(self):
@@ -354,5 +354,5 @@
         self.assertTrue(
             'item_name="Concessional Fee" item_amt="131700" '
-            'bank_id="117" acct_num="1010835352"'
+            'bank_id="117" acct_num="1010827641"'
             in self.browser.contents)
 