Index: /main/waeup-hugo/public/css/project.css
===================================================================
--- /main/waeup-hugo/public/css/project.css	(revision 14927)
+++ /main/waeup-hugo/public/css/project.css	(revision 14928)
@@ -6,15 +6,2 @@
   text-transform: none;
   }
-
-.image {
-  background-image: url("/waeup/images/overlay.png");
-  }
-
-
-#bg:before {
-  background-image: linear-gradient(to top, rgba(19, 21, 25, 0.5), rgba(19, 21, 25, 0.5)), url("/waeup/images/overlay.png");
-  }
-
-#bg:after {
-  background-image: url("/waeup/images/bg.jpg");
-  }
Index: /main/waeup-hugo/public/de/index.html
===================================================================
--- /main/waeup-hugo/public/de/index.html	(revision 14927)
+++ /main/waeup-hugo/public/de/index.html	(revision 14928)
@@ -221,7 +221,7 @@
             
               
-                <a href="https://h8.waeup.org/waeup/">English</a>
-              
-                , <a href="https://h8.waeup.org/waeup/fr/">Français</a>
+                <a href="https://www.waeup.org/">English</a>
+              
+                , <a href="https://www.waeup.org/fr/">Français</a>
               
             
Index: /main/waeup-hugo/public/de/sitemap.xml
===================================================================
--- /main/waeup-hugo/public/de/sitemap.xml	(revision 14927)
+++ /main/waeup-hugo/public/de/sitemap.xml	(revision 14928)
@@ -4,40 +4,40 @@
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#project</loc>
+    <loc>https://www.waeup.org/de/#project</loc>
     <lastmod>2017-12-15T13:09:37+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#kofa</loc>
+    <loc>https://www.waeup.org/de/#kofa</loc>
     <lastmod>2017-12-15T13:14:16+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#references</loc>
+    <loc>https://www.waeup.org/de/#references</loc>
     <lastmod>2017-12-15T13:14:06+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#members</loc>
+    <loc>https://www.waeup.org/de/#members</loc>
     <lastmod>2017-12-15T13:14:31+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#contact</loc>
+    <loc>https://www.waeup.org/de/#contact</loc>
     <lastmod>2017-12-15T13:17:14+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#</loc>
+    <loc>https://www.waeup.org/de/#</loc>
     <priority>0</priority>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#</loc>
+    <loc>https://www.waeup.org/de/#</loc>
     <priority>0</priority>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/de/#</loc>
+    <loc>https://www.waeup.org/de/#</loc>
     <lastmod>2017-12-15T13:09:37+01:00</lastmod>
     <priority>0</priority>
Index: /main/waeup-hugo/public/en/index.html
===================================================================
--- /main/waeup-hugo/public/en/index.html	(revision 14927)
+++ /main/waeup-hugo/public/en/index.html	(revision 14928)
@@ -1,1 +1,1 @@
-<!DOCTYPE html><html><head><title>https://h8.waeup.org/waeup</title><link rel="canonical" href="https://h8.waeup.org/waeup"/><meta name="robots" content="noindex"><meta http-equiv="content-type" content="text/html; charset=utf-8" /><meta http-equiv="refresh" content="0; url=https://h8.waeup.org/waeup" /></head></html>
+<!DOCTYPE html><html><head><title>https://www.waeup.org</title><link rel="canonical" href="https://www.waeup.org"/><meta name="robots" content="noindex"><meta http-equiv="content-type" content="text/html; charset=utf-8" /><meta http-equiv="refresh" content="0; url=https://www.waeup.org" /></head></html>
Index: /main/waeup-hugo/public/en/sitemap.xml
===================================================================
--- /main/waeup-hugo/public/en/sitemap.xml	(revision 14927)
+++ /main/waeup-hugo/public/en/sitemap.xml	(revision 14928)
@@ -4,40 +4,40 @@
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#project</loc>
+    <loc>https://www.waeup.org/#project</loc>
     <lastmod>2017-12-15T11:13:32+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#kofa</loc>
+    <loc>https://www.waeup.org/#kofa</loc>
     <lastmod>2017-12-15T11:56:43+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#references</loc>
+    <loc>https://www.waeup.org/#references</loc>
     <lastmod>2017-12-15T11:56:27+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#members</loc>
+    <loc>https://www.waeup.org/#members</loc>
     <lastmod>2017-12-15T11:56:53+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#contact</loc>
+    <loc>https://www.waeup.org/#contact</loc>
     <lastmod>2017-12-15T11:57:42+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#</loc>
+    <loc>https://www.waeup.org/#</loc>
     <priority>0</priority>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#</loc>
+    <loc>https://www.waeup.org/#</loc>
     <priority>0</priority>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/#</loc>
+    <loc>https://www.waeup.org/#</loc>
     <lastmod>2017-12-15T11:13:32+01:00</lastmod>
     <priority>0</priority>
Index: /main/waeup-hugo/public/fr/index.html
===================================================================
--- /main/waeup-hugo/public/fr/index.html	(revision 14927)
+++ /main/waeup-hugo/public/fr/index.html	(revision 14928)
@@ -202,7 +202,7 @@
             
               
-                <a href="https://h8.waeup.org/waeup/">English</a>
-              
-                , <a href="https://h8.waeup.org/waeup/de/">Deutsch</a>
+                <a href="https://www.waeup.org/">English</a>
+              
+                , <a href="https://www.waeup.org/de/">Deutsch</a>
               
             
Index: /main/waeup-hugo/public/fr/sitemap.xml
===================================================================
--- /main/waeup-hugo/public/fr/sitemap.xml	(revision 14927)
+++ /main/waeup-hugo/public/fr/sitemap.xml	(revision 14928)
@@ -4,35 +4,35 @@
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#project</loc>
+    <loc>https://www.waeup.org/fr/#project</loc>
     <lastmod>2017-12-15T13:07:54+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#kofa</loc>
+    <loc>https://www.waeup.org/fr/#kofa</loc>
     <lastmod>2017-12-15T13:14:13+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#references</loc>
+    <loc>https://www.waeup.org/fr/#references</loc>
     <lastmod>2017-12-15T13:14:02+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#members</loc>
+    <loc>https://www.waeup.org/fr/#members</loc>
     <lastmod>2017-12-15T13:14:34+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#contact</loc>
+    <loc>https://www.waeup.org/fr/#contact</loc>
     <lastmod>2017-12-15T13:17:17+01:00</lastmod>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#</loc>
+    <loc>https://www.waeup.org/fr/#</loc>
     <priority>0</priority>
   </url>
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#</loc>
+    <loc>https://www.waeup.org/fr/#</loc>
     <lastmod>2017-12-15T13:07:54+01:00</lastmod>
     <priority>0</priority>
@@ -40,5 +40,5 @@
   
   <url>
-    <loc>https://h8.waeup.org/waeup/fr/#</loc>
+    <loc>https://www.waeup.org/fr/#</loc>
     <priority>0</priority>
   </url>
Index: /main/waeup-hugo/public/index.html
===================================================================
--- /main/waeup-hugo/public/index.html	(revision 14927)
+++ /main/waeup-hugo/public/index.html	(revision 14928)
@@ -221,7 +221,7 @@
             
               
-                <a href="https://h8.waeup.org/waeup/de/">Deutsch</a>
-              
-                , <a href="https://h8.waeup.org/waeup/fr/">Français</a>
+                <a href="https://www.waeup.org/de/">Deutsch</a>
+              
+                , <a href="https://www.waeup.org/fr/">Français</a>
               
             
Index: /main/waeup-hugo/public/robots.txt
===================================================================
--- /main/waeup-hugo/public/robots.txt	(revision 14927)
+++ /main/waeup-hugo/public/robots.txt	(revision 14928)
@@ -2,3 +2,3 @@
 Allow: /
 
-Sitemap: https://h8.waeup.org/waeup/sitemap.xml
+Sitemap: https://www.waeup.org/sitemap.xml
Index: /main/waeup-hugo/public/sitemap.xml
===================================================================
--- /main/waeup-hugo/public/sitemap.xml	(revision 14927)
+++ /main/waeup-hugo/public/sitemap.xml	(revision 14928)
@@ -3,5 +3,5 @@
 	
 	<sitemap>
-	   	<loc>https://h8.waeup.org/waeup/en/sitemap.xml</loc>
+	   	<loc>https://www.waeup.org/en/sitemap.xml</loc>
 		
 	   	<lastmod>2017-12-15T11:57:42+01:00</lastmod>
@@ -10,5 +10,5 @@
 	
 	<sitemap>
-	   	<loc>https://h8.waeup.org/waeup/de/sitemap.xml</loc>
+	   	<loc>https://www.waeup.org/de/sitemap.xml</loc>
 		
 	   	<lastmod>2017-12-15T13:17:14+01:00</lastmod>
@@ -17,5 +17,5 @@
 	
 	<sitemap>
-	   	<loc>https://h8.waeup.org/waeup/fr/sitemap.xml</loc>
+	   	<loc>https://www.waeup.org/fr/sitemap.xml</loc>
 		
 	   	<lastmod>2017-12-15T13:17:17+01:00</lastmod>