Index: main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py	(revision 14930)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py	(revision 14931)
@@ -116,8 +116,8 @@
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertTrue(
-            '<input type="hidden" name="amount" value="708800" />'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="NCE Third Semester Fee" item_amt="533800" bank_id="8" acct_num="2003670143"'
+            '<input type="hidden" name="amount" value="808800" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="NCE Third Semester Fee" item_amt="633800" bank_id="8" acct_num="2003670143"'
             in self.browser.contents)
         self.assertTrue(
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 14930)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 14931)
@@ -292,5 +292,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 7088.0)
+        self.assertEqual(payment.amount_auth, 8088.0)
         self.assertEqual(payment.p_item, u'')
         self.assertEqual(error, None)
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_utils.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_utils.py	(revision 14930)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_utils.py	(revision 14931)
@@ -84,7 +84,7 @@
         IWorkflowState(self.student).setState('returning')
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 14124.0) # 13875 + 150 + 99
+        self.assertEqual(payment.amount_auth, 16124.0) # 15875 + 150 + 99
         self.student['studycourse'].previous_verdict = 'O'
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 14025.0) # 13875 + 150
+        self.assertEqual(payment.amount_auth, 16025.0) # 15875 + 150
         return
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py	(revision 14930)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py	(revision 14931)
@@ -118,7 +118,7 @@
         elif category == 'third_semester' and student.current_mode == 'nce_ft':
             if student.depcode in ARTS:
-                amount = 6688
+                amount = 7688
             else:
-                amount = 6938
+                amount = 7938
         elif category == 'schoolfee':
             p_item =  student.certcode
@@ -174,41 +174,47 @@
                 elif student.current_level == 100 and student.state == CLEARED:
                     if student.depcode in ARTS:
-                        amount = 14325
-                    else:
-                        amount = 14825
+                        amount = 24215
+                    else:
+                        amount = 24915
+                    # SIWES Fee
+                    if student.depcode in ('AGE', 'BED', 'FAA', 'HEC', 'CSC', 'MUS'):
+                        amount += 3000
                 # NCE II
                 elif student.current_level in (100, 110, 120) and \
                     student.state == RETURNING:
                     if student.depcode in ARTS:
-                        amount = 13375
-                    else:
-                        amount = 13875
+                        amount = 15375
+                    else:
+                        amount = 15875
+                    # SIWES Fee
+                    if student.depcode in ('AGE', 'BED', 'FAA', 'HEC', 'CSC', 'MUS'):
+                        amount += 2000
                 # NCE III
                 elif student.current_level in (200, 210, 220):
                     if student.depcode in ARTS:
-                        amount = 13375
-                    else:
-                        amount = 13875
+                        amount = 15375
+                    else:
+                        amount = 15875
                 # NCE III repeater
                 elif student.current_level in (300, 310, 320) and \
                     student.current_verdict == 'O':
                     if student.depcode in ARTS:
-                        amount = 11475
-                    else:
-                        amount = 11975
+                        amount = 13475
+                    else:
+                        amount = 13975
                 # NCE III spillover
                 elif student.current_level in (300, 310, 320) and \
                     student.current_verdict == 'B':
                     if student.depcode in ARTS:
-                        amount = 11975
-                    else:
-                        amount = 11975
+                        amount = 13475
+                    else:
+                        amount = 13975
                 # NCE III second spillover
                 elif student.current_level in (400, 410, 420) and \
                     student.current_verdict == 'B':
                     if student.depcode in ARTS:
-                        amount = 11975
-                    else:
-                        amount = 11975
+                        amount = 13475
+                    else:
+                        amount = 13975
             else:
                 # NCE I fresh sw