Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 14939)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 14940)
@@ -207,13 +207,5 @@
             xmldict['amt4'] = 100 * 500
 
-            if student.faccode == 'SPAT':
-                xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="Students Welfare" item_amt="%(amt2)d" bank_id="11" acct_num="0037892949" />
-<item_detail item_id="2" item_name="Anti-Cult Book" item_amt="%(amt3)d" bank_id="11" acct_num="0037892949" />
-</item_details>
-</payment_item_detail>""" % xmldict
-            else:
-                xmltext = """<payment_item_detail>
+            xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
 <item_detail item_id="1" item_name="SUG" item_amt="%(amt1)d" bank_id="11" acct_num="0038079930" />
@@ -223,4 +215,13 @@
 </item_details>
 </payment_item_detail>""" % xmldict
+
+#            if student.faccode == 'SPAT':
+#                xmltext = """<payment_item_detail>
+#<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+#<item_detail item_id="1" item_name="Students Welfare" item_amt="%(amt2)d" bank_id="11" acct_num="0037892949" />
+#<item_detail item_id="2" item_name="Anti-Cult Book" item_amt="%(amt3)d" bank_id="11" acct_num="0037892949" />
+#</item_details>
+#</payment_item_detail>""" % xmldict
+
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
         self.context.provider_amt = provider_amt
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py	(revision 14939)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py	(revision 14940)
@@ -172,27 +172,27 @@
         self.certificate.study_mode = 'nd_ft'
         self.certificate.school_fee_3 = 30000.0
-        # Add dep_sug ticket
+        # dep_sug tickets cannot be created
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['dep_sug']
         self.browser.getControl("Create ticket").click()
+        self.assertTrue('Amount could not be determined' in self.browser.contents)
+        #self.assertTrue('ticket created' in self.browser.contents)
+        #ctrl = self.browser.getControl(name='val_id')
+        #dep_sug_pid = ctrl.options[0]
+        #self.assertTrue(self.student['payments'][dep_sug_pid].amount_auth == 1650)
+        #self.browser.getLink(dep_sug_pid).click()
+        #self.browser.getLink("CollegePAY", index=0).click()
+        #self.student['payments'][dep_sug_pid].p_state = 'paid'
+        #self.assertTrue(
+        #    '<item_detail item_id="1" item_name="Students Welfare" '
+        #    'item_amt="50000" bank_id="11" acct_num="0037892949" />'
+        #    in self.browser.contents)
+        # Add school fee ticket
+        self.browser.open(self.payments_path + '/addop')
+        self.browser.getControl(name="form.p_category").value = ['schoolfee']
+        self.browser.getControl("Create ticket").click()
         self.assertMatches('...ticket created...', self.browser.contents)
         ctrl = self.browser.getControl(name='val_id')
-        dep_sug_pid = ctrl.options[0]
-        self.assertTrue(self.student['payments'][dep_sug_pid].amount_auth == 1650)
-        
-        self.browser.getLink(dep_sug_pid).click()
-        self.browser.getLink("CollegePAY", index=0).click()
-        self.student['payments'][dep_sug_pid].p_state = 'paid'
-        self.assertTrue(
-            '<item_detail item_id="1" item_name="Students Welfare" '
-            'item_amt="50000" bank_id="11" acct_num="0037892949" />'
-            in self.browser.contents)
-        # Add school fee ticket
-        self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['schoolfee']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...', self.browser.contents)
-        ctrl = self.browser.getControl(name='val_id')
-        self.value = ctrl.options[1]
+        self.value = ctrl.options[0]
         self.browser.getLink(self.value).click()
         self.assertTrue('<span>30000.0</span>'  in self.browser.contents)
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/utils.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/utils.py	(revision 14939)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/students/utils.py	(revision 14940)
@@ -98,6 +98,6 @@
                 # Students are only allowed to pay school fee 
                 # if current session dep_sug payment has been made.
-                if not self._dep_sug_paymentMade(student,
-                    student.current_session):
+                if student.faccode != 'SPAT' and not self._dep_sug_paymentMade(
+                    student, student.current_session):
                     return _('You have to pay NADESU/SA/SUG Dues first.'), None
                 if student.state == CLEARED:
@@ -180,5 +180,6 @@
             amount = 3150.0 # includes GATEWAY_AMT
             if student.faccode == 'SPAT':
-                amount = 1650.0 # includes GATEWAY_AMT
+            #    amount = 1650.0 # includes GATEWAY_AMT
+                amount = 0.0
         else:
             fee_name = category + '_fee'